#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <errno.h>
#include "netfd.h"

#define	DEF_ADDR	"192.168.1.23"
#define	DEF_PORT	"11618"

static void	send_text(netfd_t *, const char *);

static void
send_text(nfd, mesg)
	register netfd_t *	nfd;
	const char *		mesg;
{
  char	buf[BUFSIZ];

  netfd_write(nfd, mesg, strlen(mesg), NETFD_NO_TIMEOUT);
  memset(buf, 0, sizeof(buf));
  netfd_read(nfd, buf, sizeof(buf), NETFD_NO_TIMEOUT);
  fputs(buf, stdout);
  fputs("\n", stdout);
}

int
main()
{
  if (netfd_init(0) == 0) {
    netfd_t *	nfd;

    nfd = netfd_udp_connect(DEF_ADDR, DEF_PORT);
    if (nfd != NULL) {
      const char	mesg1[] = "Hello, World!";

      send_text(nfd, mesg1);
      netfd_close(nfd);
    }
  }

  return 0;
}
